Skip to main content
GET
Get Workflow Runs

Path Parameters

app_id
string
required

The ID of the app

workflow_id
string
required

The ID of the workflow

Query Parameters

verbose
enum<string>[]
Available options:
all
origin
enum<string>
Available options:
ALL,
WORKFLOW,
TRIGGER,
RECORD,
TEST,
ENDPOINT,
WEBHOOK
status
enum<string>
Available options:
ALL,
PENDING,
RUNNING,
CANCELLED,
COMPLETED,
SKIPPED,
FAILED
page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json
id
string
required

Unique identifier for the run

input
object | null
required

Input values used for the run

output
object
required

Output of the run

status
enum<string>
required

Status of the run

Available options:
PENDING,
RUNNING,
CANCELLED,
COMPLETED,
SKIPPED,
FAILED
Example:

"RUNNING"

origin
enum<string>
required

Origin of the run

Available options:
WORKFLOW,
TRIGGER,
RECORD,
TEST,
ENDPOINT,
WEBHOOK
Example:

"WORKFLOW"

started_at
string<date> | null
required

Timestamp of when the run started

ended_at
string<date> | null
required

Timestamp of when the run ended

app_id
string
required

ID of the associated app where the run was triggered from

workflow_app_id
string
required

ID of the associated app where the workflow belongs to

workflow_id
string
required

ID of the associated workflow

workflow_version_draft
object | null
required

Draft version of the workflow

workflow_version
object | null
required

Details of the workflow version used for the run

created_at
string<date> | null
required

Timestamp of when the run was created

updated_at
string<date> | null
required

Timestamp of when the run was last updated

result
any | null

Result of the run

error
string

Error message if the run failed

collection_id
string

ID of the associated collection

record_id
string

ID of the associated record

version
number

Version number of the workflow

usage
object

Credits usage of the run

retention
object | null

Configuration for how long run data is preserved in the system

Example:
retention_due_at
string<date> | null

Timestamp of when the run data retention policy will be applied